curl --request GET \
--url https://api.dfns.io/keys \
--header 'Authorization: Bearer <token>'{
"items": [
{
"id": "key-01snl-t56gb-j8tsok0vn802p80i",
"scheme": "ECDSA",
"curve": "ed25519",
"publicKey": "<string>",
"status": "Active",
"custodial": true,
"dateCreated": "2023-04-14T20:41:28.715Z",
"masterKey": true,
"name": "<string>",
"imported": true,
"exported": true,
"dateExported": "2023-04-14T20:41:28.715Z",
"dateDeleted": "2023-04-14T20:41:28.715Z"
}
],
"nextPageToken": "<string>"
}Retrieve all keys registered for your organization.
curl --request GET \
--url https://api.dfns.io/keys \
--header 'Authorization: Bearer <token>'{
"items": [
{
"id": "key-01snl-t56gb-j8tsok0vn802p80i",
"scheme": "ECDSA",
"curve": "ed25519",
"publicKey": "<string>",
"status": "Active",
"custodial": true,
"dateCreated": "2023-04-14T20:41:28.715Z",
"masterKey": true,
"name": "<string>",
"imported": true,
"exported": true,
"dateExported": "2023-04-14T20:41:28.715Z",
"dateDeleted": "2023-04-14T20:41:28.715Z"
}
],
"nextPageToken": "<string>"
}CustomerEmployee)EndUser)Keys:Read: Always required.Bearer Token: Used to authenticate API requests. More details how to generate the token: Authentication flows
Maximum number of items to return.
1 <= x <= 500Opaque token used to retrieve the next page. Returned as nextPageToken from the previous request.
1Filter by owner id or username.
1Was this page helpful?